#!/sbin/sh

cur=`dirname $0`
echo "############# `date` #############" > /sdcard/rreplacer.txt 2>&1
mount -a
echo "Mounted partitions: " >> /sdcard/rreplacer.txt 2>&1
echo "----------------------" >> /sdcard/rreplacer.txt 2>&1
mount >> /sdcard/rreplacer.txt 2>&1
echo "----------------------" >> /sdcard/rreplacer.txt 2>&1
for f in $cur/*
do
    if [ -d $f ]
    then
        apn=$(basename $f)
        echo -e "\nFound folder $apn" >> /sdcard/rreplacer.txt 2>&1
        apk=bla
		if [ -f /system/app/$apn ]; then apk=/system/app/$apn; fi
		if [ -f /system/priv-app/Dialer/$apn ]; then apk=/system/priv-app/Dialer/$apn; fi
		if [ -f /system/priv-app/Contacts/$apn ]; then apk=/system/priv-app/Contacts/$apn; fi
		if [ -f /system/framework/mediatek-res/$apn ]; then apk=/system/framework/mediatek-res/$apn; fi
        if [ "$apk" != "bla" ]
        then
            echo "Found $apk" >> /sdcard/rreplacer.txt 2>&1
            cd $f
            $cur/zip -r $apk * >> /sdcard/rreplacer.txt 2>&1
            echo "----------------------" >> /sdcard/rreplacer.txt 2>&1
        else
            echo "Not found /system/framework/mediatek-res/$apn or /system/app/$apn or /system/priv-app/Dialer/$apn" >> /sdcard/rreplacer.txt 2>&1
        fi
    fi
done
echo -e "\nAll done" >> /sdcard/rreplacer.txt 2>&1
